# Eletronica Veneza / Rio Do Salto
# Des de 2015 com redes de telecom
# Email: eletronicariodosalto@hotmail.com
# Serviços: http://mikrotik.eletronicaveneza.com
# Modifications will be overwritten.
server:
port:  53
directory: "/etc/unbound"
module-config: "validator iterator"
root-hints: "/etc/unbound/named.root"
#DNSSEC
auto-trust-anchor-file: "/etc/unbound/root.key"
hide-identity: yes
hide-version: yes
username: unbound
interface: 127.0.0.1
interface: 0.0.0.0
access-control: 0.0.0.0/0 refuse
access-control: 192.168.0.0/16 allow
access-control: 127.0.0.0/8 allow
access-control: 10.0.0.0/8 allow
access-control: 172.16.0.0/12 allow
access-control: 100.120.255.0/24 allow
#Nucleo de Processador
num-threads: 1
outgoing-range: 8192
num-queries-per-thread: 4096
#Memoria de CACHE
rrset-cache-size: 100m
msg-cache-size: 200m
do-udp: yes
do-tcp: yes
do-ip4: yes
do-ip6: no
msg-cache-slabs: 2
rrset-cache-slabs: 2
infra-cache-slabs: 2
key-cache-slabs: 2
#Fragimentação
edns-buffer-size: 1480

local-data:"localhost A 127.0.0.1"
local-data-ptr:"127.0.0.1 localhost"
#Exemplo de como definir uma zona
local-zone:"lan." static
local-data:"eletronicaveneza.lan. 10800 IN A 172.27.27.10"
#local-data:"servidortest.vz.lan. 10800 IN A 172.28.28.2"
#local-data:"eletronicars.ddns.net. 10800 IN A 172.27.27.10"